Summary: Provides kernel statistics for utilities like Sun's perfmeter
Name: rpc.rstatd
Version: 3.03
Release: 3
Copyright: GPL
Group: Networking/Daemons
Source: sunsite.unc.edu:/pub/Linux/system/network/daemons/rpc.rstatd-3.03.tar.gz
Packager: Ian A Cameron <i.a.cameron@open.ac.uk>
Patch0: rpc.rstatd-3.03.patch
Patch1: rpc.rstatd-Makefile.patch
Patch2: rpc.rstatd-Makefile-no_rup.patch
Patch3: rpc.rstatd-rstat_proc.c.patch
Requires: rusers >= 0.10-8
%description
This program provides kernel statistics to utilities such as Sun's perfmeter,
and the rup command (which can now be found in the rusers package).

This package includes a patch for reading /proc correctly in 2.x kernels.

The SRPM for rpc.rstatd has been modified for RedHat 5.x in release 3 and no
longer builds out of the box on 4.2 systems.  Use rpc.rstatd-3.03-2 for 4.2
systems, it's not an older program version, only the spec file is different.

Release 3 no longer installs rup and rup.1, install the rusers RPM (this
package requires it).

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

# nlist.h seems to have moved to libelf...  (from libelf RPM).
if grep 'release 5.1' /etc/redhat-release > /dev/null 2>&1
then
 patch -p1 < ../../SOURCES/rpc.rstatd-rstat_proc.c.patch
fi

%build
make

%install
make install

%post
if ! grep -E 'rstatd.*dgram.*rpc/udp' /etc/inetd.conf > /dev/null 2>&1
then
 echo "rstatd/1-5	dgram	rpc/udp	wait	root	/usr/sbin/rpc.rstatd	rpc.rstatd" >> /etc/inetd.conf
 kill -HUP `cat /var/run/inetd.pid`
fi

%postun
if grep -E 'rstatd.*dgram.*rpc/udp' /etc/inetd.conf > /dev/null 2>&1
then
 grep -Ev 'rstatd.*dgram.*rpc/udp' /etc/inetd.conf > /tmp/inetd.conf
 mv /tmp/inetd.conf /etc/inetd.conf
 kill -HUP `cat /var/run/inetd.pid`
fi

# If the rup binary and man page are required, comment out %patch2 above and
# uncomment the entries below.
%files
%doc Copying README README.3.02 clnt.h.diff
/usr/bin/rsysinfo
#/usr/bin/rup			- Now in rusers RPM
/usr/man/man1/rsysinfo.1
#/usr/man/man1/rup.1		- Now in rusers RPM
/usr/man/man8/rpc.rstatd.8
/usr/man/man8/rstatd.8
/usr/sbin/rpc.rstatd
